List survey report participants
curl --request GET \
--url https://api.doozy.live/v1/surveys/{survey_id}/report/participants \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/surveys/{survey_id}/report/participants"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/surveys/{survey_id}/report/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/surveys/{survey_id}/report/participants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/surveys/{survey_id}/report/participants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/surveys/{survey_id}/report/participants")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/surveys/{survey_id}/report/participants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "survey_participant",
"id": "06gPNJbvBuM2i8BKRXct",
"email": "jane.doe@example.com",
"display_name": "Jane Doe",
"status": "responded",
"received_at": "2026-01-15T10:30:00.000Z",
"responded_at": "2026-01-16T14:30:00.000Z",
"first_opened_at": "2026-02-01T10:30:00.000Z",
"last_opened_at": "2026-02-01T10:30:00.000Z",
"group_name": "Engineering",
"group_names": [
"Engineering",
"Platform"
],
"group_ids": [
"BgZupnpMujy4v1Zzd6sx"
],
"manager_email": "manager@example.com",
"manager_name": "John Smith",
"manager_slack_user_id": "U09876543",
"work_location_id": "J5RW5yIhAzCkwwCX3Ofa",
"work_location": "London",
"answers": [
{
"question_id": "t06iKVkbhqv0tiDitrWL",
"question_text": "How satisfied are you with your onboarding experience?",
"question_type": "scale_1_to_10",
"value": 8,
"comment": "Great experience overall!"
}
]
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Surveys
List survey report participants
The participants behind a survey report, one row per delivery, with the same filters. For anonymous surveys, only responded participants can be returned.
GET
/
v1
/
surveys
/
{survey_id}
/
report
/
participants
List survey report participants
curl --request GET \
--url https://api.doozy.live/v1/surveys/{survey_id}/report/participants \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/surveys/{survey_id}/report/participants"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/surveys/{survey_id}/report/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/surveys/{survey_id}/report/participants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/surveys/{survey_id}/report/participants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/surveys/{survey_id}/report/participants")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/surveys/{survey_id}/report/participants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "survey_participant",
"id": "06gPNJbvBuM2i8BKRXct",
"email": "jane.doe@example.com",
"display_name": "Jane Doe",
"status": "responded",
"received_at": "2026-01-15T10:30:00.000Z",
"responded_at": "2026-01-16T14:30:00.000Z",
"first_opened_at": "2026-02-01T10:30:00.000Z",
"last_opened_at": "2026-02-01T10:30:00.000Z",
"group_name": "Engineering",
"group_names": [
"Engineering",
"Platform"
],
"group_ids": [
"BgZupnpMujy4v1Zzd6sx"
],
"manager_email": "manager@example.com",
"manager_name": "John Smith",
"manager_slack_user_id": "U09876543",
"work_location_id": "J5RW5yIhAzCkwwCX3Ofa",
"work_location": "London",
"answers": [
{
"question_id": "t06iKVkbhqv0tiDitrWL",
"question_text": "How satisfied are you with your onboarding experience?",
"question_type": "scale_1_to_10",
"value": 8,
"comment": "Great experience overall!"
}
]
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Authorizations
Path Parameters
Query Parameters
Account group IDs. Matches participants in any selected group and takes precedence over group_id. A comma-separated query value is also accepted.
Required array length:
1 - 50 elementsRequired string length:
1 - 128Pattern:
^[A-Za-z0-9_-]+$Example:
["BgZupnpMujy4v1Zzd6sx", "group_product"]
JSON-encoded audience groups. Groups match with OR; populated fields inside a group match with AND; values inside each field match with OR. Takes precedence over the flat demographic parameters.
Maximum string length:
20000Example:
"[{\"group_ids\":[\"BgZupnpMujy4v1Zzd6sx\"],\"country_codes\":[\"GB\"]},{\"group_ids\":[\"group_sales\"],\"cities\":[\"Berlin\"]}]"
Was this page helpful?